
From: Heiko Carstens <heiko.carstens@de.ibm.com>

Calculate correct size for bl_dev array.  It should be 8KB instead of 512KB
for 2^16 bits.

Signed-off-by: Heiko Carstens <heiko.carstens@de.ibm.com>
Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/cio/blacklist.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/s390/cio/blacklist.c~s390-bl_dev-array-size drivers/s390/cio/blacklist.c
--- devel/drivers/s390/cio/blacklist.c~s390-bl_dev-array-size	2005-09-14 22:13:37.000000000 -0700
+++ devel-akpm/drivers/s390/cio/blacklist.c	2005-09-14 22:13:37.000000000 -0700
@@ -1,7 +1,7 @@
 /*
  *  drivers/s390/cio/blacklist.c
  *   S/390 common I/O routines -- blacklisting of specific devices
- *   $Revision: 1.34 $
+ *   $Revision: 1.35 $
  *
  *    Copyright (C) 1999-2002 IBM Deutschland Entwicklung GmbH,
  *			      IBM Corporation
@@ -35,7 +35,7 @@
  */
 
 /* 65536 bits to indicate if a devno is blacklisted or not */
-#define __BL_DEV_WORDS (__MAX_SUBCHANNELS + (8*sizeof(long) - 1) / \
+#define __BL_DEV_WORDS ((__MAX_SUBCHANNELS + (8*sizeof(long) - 1)) / \
 			 (8*sizeof(long)))
 static unsigned long bl_dev[__BL_DEV_WORDS];
 typedef enum {add, free} range_action;
_
